# kate Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KateTextCursor Class Reference

Simple cursor class with no document pointer. More...

`#include <katecursor.h>`

Inheritance diagram for KateTextCursor:

[legend]
List of all members.

## Public Member Functions

| KateTextCursor (int line, int col)
void | pos (int *pline, int *pcol) const
int | line () const
int | col () const
virtual void | setLine (int line)
virtual void | setCol (int col)
virtual void | setPos (const KateTextCursor &pos)
virtual void | setPos (int line, int col)

## Protected Attributes

int | m_line
int | m_col

## Friends

bool | operator== (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator!= (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator> (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator>= (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator< (const KateTextCursor &c1, const KateTextCursor &c2)
bool | operator<= (const KateTextCursor &c1, const KateTextCursor &c2)

## Detailed Description

Simple cursor class with no document pointer.

Definition at line 32 of file katecursor.h.

The documentation for this class was generated from the following file:

- katecursor.h

This file is part of the documentation for kate Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:36:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003